<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::test::MediaPlayerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html">MediaPlayerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::test::MediaPlayerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::mediaPlayer::test::MediaPlayerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test_inherit__map" id="alexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::mediaPlayer::test::MediaPlayerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test_coll__map" id="alexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae8dea4aa564d9202045034a16925891c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html#ae8dea4aa564d9202045034a16925891c">SetUp</a> () override</td></tr>
<tr class="separator:ae8dea4aa564d9202045034a16925891c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ba0f471d745fc1c46ea7d138b131a30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html#a1ba0f471d745fc1c46ea7d138b131a30">TearDown</a> () override</td></tr>
<tr class="separator:a1ba0f471d745fc1c46ea7d138b131a30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad40f8323ff2e94ae7a8d1a70261598c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html#ad40f8323ff2e94ae7a8d1a70261598c7">setAttachmentReaderSource</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a> *id, int iterations=1, std::vector&lt; size_t &gt; receiveSizes={std::numeric_limits&lt; size_t &gt;::max()})</td></tr>
<tr class="separator:ad40f8323ff2e94ae7a8d1a70261598c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac61752cb035de483e08b52987f5c7528"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html#ac61752cb035de483e08b52987f5c7528">setIStreamSource</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a> *id, bool repeat=false)</td></tr>
<tr class="separator:ac61752cb035de483e08b52987f5c7528"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af4f4fa60a963d2e6c5ffce3364c38154"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html">MediaPlayer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html#af4f4fa60a963d2e6c5ffce3364c38154">m_mediaPlayer</a></td></tr>
<tr class="memdesc:af4f4fa60a963d2e6c5ffce3364c38154"><td class="mdescLeft">&#160;</td><td class="mdescRight">An instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html">MediaPlayer</a></code>.  <a href="#af4f4fa60a963d2e6c5ffce3364c38154">More...</a><br /></td></tr>
<tr class="separator:af4f4fa60a963d2e6c5ffce3364c38154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3d48a84dc7446c5eada7c100a9fa88c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_player_observer.html">MockPlayerObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html#af3d48a84dc7446c5eada7c100a9fa88c">m_playerObserver</a></td></tr>
<tr class="memdesc:af3d48a84dc7446c5eada7c100a9fa88c"><td class="mdescLeft">&#160;</td><td class="mdescRight">An observer to whom the playback started and finished notifications need to be sent.  <a href="#af3d48a84dc7446c5eada7c100a9fa88c">More...</a><br /></td></tr>
<tr class="separator:af3d48a84dc7446c5eada7c100a9fa88c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad40f8323ff2e94ae7a8d1a70261598c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad40f8323ff2e94ae7a8d1a70261598c7">&#9670;&nbsp;</a></span>setAttachmentReaderSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::test::MediaPlayerTest::setAttachmentReaderSource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a> *&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iterations</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; size_t &gt;&#160;</td>
          <td class="paramname"><em>receiveSizes</em> = <code>{std::numeric_limits&lt;size_t&gt;::max()}</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Sets the audio source to play. </p>

</div>
</div>
<a id="ac61752cb035de483e08b52987f5c7528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac61752cb035de483e08b52987f5c7528">&#9670;&nbsp;</a></span>setIStreamSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::test::MediaPlayerTest::setIStreamSource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a97b83ae4aaeabff7bb8a796a8a018623">MediaPlayer::SourceId</a> *&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>repeat</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Sets IStream source to play.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">repeat</td><td>Whether to play the stream over and over until stopped. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae8dea4aa564d9202045034a16925891c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8dea4aa564d9202045034a16925891c">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::test::MediaPlayerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ba0f471d745fc1c46ea7d138b131a30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ba0f471d745fc1c46ea7d138b131a30">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::test::MediaPlayerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af4f4fa60a963d2e6c5ffce3364c38154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f4fa60a963d2e6c5ffce3364c38154">&#9670;&nbsp;</a></span>m_mediaPlayer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html">MediaPlayer</a>&gt; alexaClientSDK::mediaPlayer::test::MediaPlayerTest::m_mediaPlayer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>An instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_media_player.html">MediaPlayer</a></code>. </p>

</div>
</div>
<a id="af3d48a84dc7446c5eada7c100a9fa88c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3d48a84dc7446c5eada7c100a9fa88c">&#9670;&nbsp;</a></span>m_playerObserver</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_player_observer.html">MockPlayerObserver</a>&gt; alexaClientSDK::mediaPlayer::test::MediaPlayerTest::m_playerObserver</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>An observer to whom the playback started and finished notifications need to be sent. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/test/<a class="el" href="_media_player_test_8cpp.html">MediaPlayerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
